curl --request DELETE \
--url https://api.blaxel.ai/v0/images/{resourceType}/{imageName} \
--header 'Authorization: Bearer <token>'{
"metadata": {
"createdAt": "<string>",
"displayName": "<string>",
"events": [
{
"canaryRevision": "<string>",
"message": "Deployment successful",
"revision": "rev-abc123",
"status": "DEPLOYED",
"time": "2025-01-15T10:30:00Z",
"type": "deployment"
}
],
"lastDeployedAt": "<string>",
"name": "<string>",
"resourceType": "<string>",
"sourceWorkspace": "<string>",
"status": "DELETING",
"updatedAt": "<string>",
"workspace": "<string>"
},
"spec": {
"size": 123,
"tags": [
{
"createdAt": "<string>",
"name": "<string>",
"size": 123,
"updatedAt": "<string>"
}
]
}
}Deletes a container image and all its tags from the workspace registry. Will fail if the image is currently in use by an active deployment.
curl --request DELETE \
--url https://api.blaxel.ai/v0/images/{resourceType}/{imageName} \
--header 'Authorization: Bearer <token>'{
"metadata": {
"createdAt": "<string>",
"displayName": "<string>",
"events": [
{
"canaryRevision": "<string>",
"message": "Deployment successful",
"revision": "rev-abc123",
"status": "DEPLOYED",
"time": "2025-01-15T10:30:00Z",
"type": "deployment"
}
],
"lastDeployedAt": "<string>",
"name": "<string>",
"resourceType": "<string>",
"sourceWorkspace": "<string>",
"status": "DELETING",
"updatedAt": "<string>",
"workspace": "<string>"
},
"spec": {
"size": 123,
"tags": [
{
"createdAt": "<string>",
"name": "<string>",
"size": 123,
"updatedAt": "<string>"
}
]
}
}OAuth2 authentication with JWT tokens
Resource type (agents, functions, sandboxes, jobs)
Name of the container image repository
Was this page helpful?